/**
Copyright (c) 2006-2008 by Matjaz Kovac

Permission is hereby granted, free of charge, to any person obtaining a copy of 
this software and associated documentation files (the "Software"), to deal in 
the Software without restriction, including without limitation the rights to 
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do 
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all 
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
SOFTWARE.
*/
#ifndef APP_H_
#define APP_H_

#include <Application.h>

enum {
	CMD_UPDATE_PREFS = 'prfs',
	MSG_PREFS_CHANGED = 'pref',
	CMD_SHOW_PREFS = 'shPr'
};

#define APP_SIGNATURE "application/x-vnd.mk-Album"

// gettext() placeholder
#define _(text) text

class App: public BApplication {
	public:
	
	App();
	virtual ~App();
	void AboutRequested();
	virtual void MessageReceived(BMessage *message);
	virtual bool QuitRequested();
	virtual void ReadyToRun();
		
	private:

	status_t RestorePreferences(BMessage *prefs, const char *name);
	status_t SavePreferences(BMessage *prefs, const char *name);
	void UpdatePreferences(BMessage *message);
	
	BWindow *fSettings;
	BMessage fPreferences;
	
	int fDocCount;
};

#endif
