#ifndef BROWSERWINDOW_H_
#define BROWSERWINDOW_H_

#include <Window.h>
#include "Dashboard.h"
#include "ImageBrowser.h"
#include "TonedStatusBar.h"


enum {
	CMD_VIEW_LABEL_NAME = 'vNme',
	CMD_VIEW_LABEL_SIZE = 'vSze',
	CMD_VIEW_INDICATORS = 'vInd',
	CMD_VIEW_FLICKER = 'vFlc',
	CMD_VIEW_COLUMNS = 'vCol',
	CMD_VIEW_SORT = 'vSrt',
	CMD_SORT_NONE = 'srNo',
	CMD_SORT_NAME = 'srNm',
	CMD_SORT_SIZE = 'srSz',
	CMD_SORT_DATE = 'srDt',
	CMD_BATCH_RUN = 'tRun'
};


class BrowserWindow: public BWindow {
	public:
	
	BrowserWindow(BRect frame, const char *title);
	virtual void MessageReceived(BMessage *message);
	virtual bool QuitRequested();

	private:
	void PrefsReceived(BMessage *message);
	void ApplyTags(BMessage *message);
	void AddAttribute(BMessage *message);
	void LinkTag(BMessage *message);
	void BatchRename(BMessage *message);
	void DeleteAttributes(BMessage *message);
	void WriteTrackerIcons();
	void WriteThumbnails();
	void MoveToTrash();
	
	Dashboard *fDashboard;
	ImageBrowser *fBrowser;
	BMenu *fToolsMenu;
	BMenuItem *fFileTrash, *fShowName, *fShowSize, *fShowIndicators, *fShowFlicker;
	TonedStatusBar *fInfoView;
	BString fWriteAttr;
};

#endif

