#ifndef DASHBOARD_H_
#define DASHBOARD_H_

#include <View.h>
#include <OutlineListView.h>
#include <Button.h>
#include <Slider.h>
#include <Menu.h>

enum {
	MSG_ZOOM_CHANGED = 'zmCh',
	CMD_STOP = 'stop',
	CMD_EDIT_ATTR = 'edAt',
	CMD_COPY_TAG = 'cpTg',
	CMD_LINK_TAG = 'lnTg',
	CMD_APPLY_TAG = 'apTg',
	CMD_ADD_ATTR = 'adAt',
	CMD_BATCH_RENAME = 'btRn',
	CMD_WRITE_THUMB = 'wrTh',
	CMD_WRITE_ICON = 'wrIc',
	CMD_DELETE_ATTR = 'dlAt',
	CMD_NEW_ATTR= 'nwAt',
	CMD_WRITE_ATTR = 'cpAt'
};

class Dashboard: public BView {
	public:
	
	Dashboard(BRect frame, const char *name, uint32 resize, uint32 flags = B_WILL_DRAW | B_FRAME_EVENTS);
	virtual void AttachedToWindow();
	virtual void MessageReceived(BMessage *message);
	void GetSelectedAttributes(BMessage *message);

	private:

	void NoticeReceived(BMessage *message);
	void UpdateReceived(BMessage *message);
	void ListItemInvoked(BMessage *message);

	BListView *fAttrList;
	BOutlineListView *fTagList;
	BButton *fStopButton;
	BSlider *fScaler;
	BMenu *fAttrAction;
	BListItem *fTagGroup0, *fTagGroup1;
	bool fExpandGroup0, fExpandGroup1;
	
};

#endif
