#ifndef NAMEVALUEITEM_H
#define NAMEVALUEITEM_H

#include <ListItem.h>
#include <String.h>
#include <TypeConstants.h>


class NameValueItem : public BListItem
{
	public:
	
	NameValueItem(const char *name, const char *value, uint32 level = 0, bool expanded = true);

	virtual void DrawItem(BView *owner, BRect itemRect, bool fullUpdate = false);
	inline const char* Name();
	void SetName(const char *name);
	const char* Value();
	status_t SetValue(uint32 type, const void *data, ssize_t size);
	void SetValue(const char *value);
	void SetValueColor(rgb_color color);
	void SetReadOnly(bool enable);
	inline bool IsReadOnly();
	inline float Divider();
	inline uint32 Type();

	private:
	
	BString fName, fValue;
	rgb_color fValueColor, fNameColor;
	float fDivider;
	bool fReadOnly;
	uint32 fType;
};

class KeyNameValueItem : public NameValueItem
{
	public:
	
	KeyNameValueItem(const char *name, const char *value, uint32 level = 0, bool expanded = true);
	void SetKey(const char *key);
	const char* Key();
	
	private:
	
	BString fKey;
};


// Inlines
bool NameValueItem::IsReadOnly()
{
	return fReadOnly;
}

float NameValueItem::Divider()
{
	return fDivider;
}

uint32 NameValueItem::Type()
{
	return fType;
}

#endif
