#ifndef _TONEDSTATUSBAR_H_
#define _TONEDSTATUSBAR_H_

#include <View.h>
#include <String.h>

class TonedStatusBar: public BView
{
	public:

	TonedStatusBar::TonedStatusBar(BRect frame, const char *name, const char *text, uint32 resizing = B_FOLLOW_NONE);
	virtual void AttachedToWindow();
	virtual void Draw(BRect update);
	virtual void MessageReceived(BMessage *message);
	inline rgb_color BarColor() const;
	void SetBarColor(rgb_color color);
	void SetStripe(float portion, float tint = B_LIGHTEN_1_TINT);

	inline border_style BorderStyle() const;
	void SetBorderStyle(border_style border);	
	
	inline float CurrentValue() const;
	void SetCurrentValue(float value);

	inline float MaxValue() const;
	void SetMaxValue(float value);

	inline const char* Text() const;
	virtual void SetText(const char *text);

	virtual void Reset(const char *text = NULL);
	virtual void Update(float delta, const char *text = NULL);
			
	private:

	BString fText;
	float fCurrent, fMaxValue;
	float fBarTop, fBarTopTint;
	rgb_color fBarColor, fNoBarColor;
	border_style fBorderStyle;
};

// Inlines

float TonedStatusBar::CurrentValue() const
{
	return(fCurrent);
}

float TonedStatusBar::MaxValue() const
{
	return(fMaxValue);
}

const char* TonedStatusBar::Text() const
{
	return(fText.String());
}

rgb_color TonedStatusBar::BarColor() const
{
	return(fBarColor);
}

border_style TonedStatusBar::BorderStyle() const
{
	return(fBorderStyle);
}

#endif